﻿/*
$primary: #3498db;
$secondary: #e67e22;
$success: #2ecc71;
$danger: #e74c3c;
$defaultColor : white;
$theadBgColor: purple;
$faDefaultColor : Tomato;
$themeDefaultColor: #A2C42E;
$screenBgColor : black;
$fullNavBgColor : #656667;
$inputBgColor : #666666;


*/

@font-face {
    font-family: 'alexbrush';
    src: url("fonts/AlexBrush-Regular.ttf");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'rubik';
    src:    url("fonts/rubik/Rubik-LightItalic.ttf"),
            url("fonts/rubik/Rubik-Regular.ttf"),
            url("fonts/rubik/Rubik-Black.ttf"), 
            url("fonts/rubik/Rubik-BlackItalic.ttf"), 
            url("fonts/rubik/Rubik-Bold.ttf"), 
            url("fonts/rubik/Rubik-BoldItalic.ttf"),
            url("fonts/rubik/Rubik-Italic.ttf"),
            url("fonts/rubik/Rubik-Light.ttf"),
            url("fonts/rubik/Rubik-Medium.ttf"),
            url("fonts/rubik/Rubik-MediumItalic.ttf")
            ;
}

* {
    font-family: 'rubik';
}

body {
    background-color: black;
    height: calc(21vw);
    margin: 0px;
    font-size: small;
    color: white !important;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

#topNav {
    height:65px;
    position : fixed;
    right : 0;
    left : 224px;
    z-index : 99;
}

.navBadge {
    display: flex;
    flex-direction: column;
    height: 50px;
    width: 50px;
    background-color: purple;
    text-align: center;
    align-items: center;
    justify-content: center;
    margin-right : 10px;
}

.navBadge i {
    color : white;
    font-size: 1.5em;
}

#topNav > div {
    /*width : 99%;*/
}

.modal-content {
    background-color: #A2C42E;
}

.carousel-item > img {
    height: 400px;
}

.productItem {
    margin: 30px;
    width: 270px;
    border: 1px solid purple !important;
}

.productItem a img {
    height: 270px;
}

.spaceBetween {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

p {
    color: white;
}


.fa-cart-plus {
    color: white;
}

.badgeNotif {
    top: 17px;
    right: 17px;
    padding-top: 3px;
    z-index: 100;
    border-radius: 30px;
    position: absolute;
    width: 30px;
    height: 30px;
    text-align: center;
    background-color: #A2C42E;
    color: white;
}

.withThemeColor {
    color: #A2C42E;
}

.card {
    border: none;
    background-color : transparent;
    border-radius : unset;
    /*border: 1px solid $theadBgColor;
    //box-shadow: 1px 0px 1px 0px $theadBgColor;*/
}

/*.card:hover {
    border: none;
    box-shadow: 10px 0px 5px 0px #A2C42E;
}
    */

.card-body {
    background-color: black;
    padding: 5px;
    font-size : small;
}

.card-title {
    overflow: hidden;
    text-overflow: ellipsis;
    width: 250px;
    white-space: nowrap;
    text-align: center;
    margin-bottom : 0px;
}

.card-text {
    height : 20px;
}

.btn {
    background-color: purple;
    color: white;
}

.fa-plus-circle {
    margin-right: 5px;
}

.form-control {
    background-color: black;
    border: 1px solid black;
    color: white;
    text-align: center;
}

.fa-sync, .fa-cart-plus, .fa-user-alt, .fa-power-off, .fa-sign-in-alt, .fa-plus-circle, .fa-minus-circle, .fa-search, .fa-calendar-week {
    color: purple;
}

.tdClass {
    color: #f96c26 !important;
}

h3, h4.selected {
    color: #A2C42E;
}

.input-group-addon {
    border-top: 1px solid white;
    border-right: 1px solid white;
    border-bottom: 1px solid white;
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
}

.fa-calendar-week, .fa-search {
    padding-top: 2px;
}

h4 {
    color: white;
    cursor: pointer;
}

.panel-body {
    background-color: black;
    padding-top: 30px;
}

.alert-danger {
    text-align: center;
}

.bg-light {
    background-color : #666666 ! important;
}

.displayRow {
    padding: 10px 0px 0px 10px;
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid #A2C42E;
}

.displayRow > p {
    padding-right: 20px;
    color: white;
}


.displayColumn {
    padding: 15px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.displayColumn > img:hover, .displayColumn > img.selected {
    border: none;
    box-shadow: 10px 0px 5px 0px #A2C42E;
    border: 1px solid purple;
    cursor: pointer;
}


.displayColumn > img {
    width: 100px;
    height: 100px;
    border: 1px solid purple;
    cursor: pointer;
}

.rounded {
    border-radius: 5.25rem !important;
}


.displayColumn > p {
    padding-top: 5px;
    color: white;
    cursor: pointer;
}


.displayColumn > p.selected, .displayColumn > p:hover {
    color: #A2C42E;
    cursor: pointer;
}




/* Test new */


/* Shrinking the sidebar from 250px to 80px and center aligining its content*/
.wrapper {
    display: flex;
    align-items: stretch;
    height : 100%;
}

#sidebar {
    min-width: 224px;
    max-width: 224px;
    top :0px;
    bottom : 0px;
    background: #666666;
    color: #fff;
    transition: all 0.3s;
}

#sidebar.active {
    min-width: 90px;
    max-width: 90px;
    text-align: center;
}

input .form-control {
    background-color : #666666;
    border-bottom-color : #333333;
}

input.form-control:focus {
    background-color: #666666;
    border-bottom-color: #333333;
}

input.form-control-transparent {
    background-color: transparent;
    border-color: transparent;
    border-radius : 0px;
    border-bottom : 2px solid gray;
}

input.form-control-transparent:focus {
    background-color: transparent;
    border-color: transparent;
    border-radius: 0px;
    border-bottom: 2px solid gray;
    color: white;
}

input::selection {
    background-color: #666666;
    border-bottom-color: #333333;
}


#sidebarCollapse{
    display : none;
}

#pageBody {
    height: auto;
    margin-top: 65px;
    margin-left: 224px;
    border-left: 1px solid #A2C42E;
    background-image: url('Images/background-image-food-1.png');
    background-size : contain;
    background-position :center;
    background-repeat :no-repeat;
}

#content {
    width: 100%;
}

#loginForm {
    min-width: 300px;
    max-width: 500px;
    margin: auto;
    padding-top: calc(100%/6);
}
/* Toggling the sidebar header content, hide the big heading [h3] and showing the small heading [strong] and vice versa*/
#sidebar .sidebar-header {
    padding: 20px;
    text-align: center;
    background-color: #666666;
}

footer {
    text-align: center;
    width: 100%;
    position: fixed;
    bottom: 0px;
    border-top: 0.5px solid #666666;
    background-color: #666666;
}



#sidebar .sidebar-header strong {
    display: none;
}

#sidebar.active .sidebar-header h3 {
    display: none;
}

#sidebar.active .sidebar-header strong {
    display: block;
}

#sidebar ul li a {
    padding: 10px;
    font-size: 1.1em;
    display: block;
    text-align: left;
    color: inherit;
}

a {
    text-decoration : none;
    color : inherit;
}

a:hover, a:focus {
    text-decoration: none;
    color: inherit;
}

#sidebar ul li a:hover, #sidebar ul li a:focus {
    text-decoration : none;
    color : inherit;
    transition : all 0.3s;
}

.control-label {
    margin-bottom : -5px;
}

a.selected {
    color: #A2C42E !important;
}

#sidebar ul li a i {
    margin-right: 10px;
    font-size: 1.8em;
}

#sidebar.active ul li a i {
    margin-right: 0;
    display: block;
    font-size: 1.8em;
    margin-bottom: 5px;
}

/* Same dropdown links padding*/
#sidebar.active ul ul a {
    padding: 10px !important;
}

/* Changing the arrow position to bottom center position, 
   translateX(50%) works with right: 50% 
   to accurately  center the arrow */
#sidebar.active .dropdown-toggle::after {
    top: auto;
    bottom: 10px;
    right: 50%;
    -webkit-transform: translateX(50%);
    -ms-transform: translateX(50%);
    transform: translateX(50%);
}

    #sidebar ul.components {
        padding : 20px 0;
        border-bottom : 1px solid gray;
    }

    @media (max-width: 768px) {
        /* 80px and its content aligned to centre. Pushing it off the screen with the
       negative left margin
    */
        #sidebar.active {
        min-width: 80px;
        max-width: 80px;
        text-align: center;
        margin-left: -80px !important;
    }


    /* Reappearing the sidebar on toggle button click */
    #sidebar {
        margin-left: 0;
    }


        /* Toggling the sidebar header content, 
       hide the big heading [h3] and showing the small heading [strong] and vice versa
    */
        #sidebar .sidebar-header strong {
            display: none;
        }

        #sidebar.active .sidebar-header h3 {
            display: none;
        }

        #sidebar.active .sidebar-header strong {
            display: block;
        }

        /* Downsize the navigation links font size */
        #sidebar.active ul li a {
            padding: 20px 10px;
            font-size: 0.85em;
        }

            #sidebar.active ul li a i {
                margin-right: 0;
                display: block;
                font-size: 1.8em;
                margin-bottom: 5px;
            }

        /* Adjust the dropdown links padding*/
        #sidebar.active ul ul a {
            padding: 10px !important;
        }

    /* Changing the arrow position to bottom center position, 
      translateX(50%) works with right: 50% 
      to accurately  center the arrow */
    .dropdown-toggle::after {
        top: auto;
        bottom: 10px;
        right: 50%;
        -webkit-transform: translateX(50%);
        -ms-transform: translateX(50%);
        transform: translateX(50%);
    }
}

.info-block {
    background-color: white;
    padding: 15px;
    border: 2px solid orange;
    min-height: 225px;
    border-radius: 10px;
    margin: 2px;
}

.lien-formation {
    color: orange;
}